AbstractResourcesDSCComment
Date: 2016-04-28

org.apache.xmlgraphics.ps.dsc.events

## Class AbstractResourcesDSCComment

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
    - - org.apache.xmlgraphics.ps.dsc.events.AbstractResourcesDSCComment

- All Implemented Interfaces:
    DSCParserConstants, DSCComment, DSCEvent
  Direct Known Subclasses:
    DSCCommentDocumentNeededResources, DSCCommentDocumentSuppliedResources, DSCCommentPageResources

      public abstract class AbstractResourcesDSCComment
      extends AbstractDSCComment

  Abstract base class for Resource DSC comments (DocumentNeededResources, DocumentSuppliedResources and PageResources).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Set` | `RESOURCE_TYPES` Defines the known resource types (font, procset, file, pattern etc.).

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractResourcesDSCComment()` Creates a new instance.
    `AbstractResourcesDSCComment(java.util.Collection resources)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResource(PSResource res)` Adds a new resource.
    `void` | `addResources(java.util.Collection resources)` Adds a collection of resources.
    `void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
    `java.util.Set` | `getResources()` Returns the set of resources associated with this DSC comment.
    `boolean` | `hasValues()` Indicates whether this DSC comment has values.
    `void` | `parseValue(java.lang.String value)` Parses the value of the DSC comment.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment

      `asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asLine, isComment, isHeaderComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCComment

      `getName`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent

      `asLine, isComment, isHeaderComment, isLine`

- - ### Field Detail

    - #### RESOURCE_TYPES

          protected static final java.util.Set RESOURCE_TYPES

      Defines the known resource types (font, procset, file, pattern etc.).

  - ### Constructor Detail

    - #### AbstractResourcesDSCComment

          public AbstractResourcesDSCComment()

      Creates a new instance.

    - #### AbstractResourcesDSCComment

          public AbstractResourcesDSCComment(java.util.Collection resources)

      Creates a new instance.
      Parameters:
        `resources` - a Collection of PSResource instances

  - ### Method Detail

    - #### hasValues

          public boolean hasValues()

      Indicates whether this DSC comment has values.
      Returns:
        true if the DSC comment has values

    - #### addResource

          public void addResource(PSResource res)

      Adds a new resource.
      Parameters:
        `res` - the resource

    - #### addResources

          public void addResources(java.util.Collection resources)

      Adds a collection of resources.
      Parameters:
        `resources` - a Collection of PSResource instances.

    - #### getResources

          public java.util.Set getResources()

      Returns the set of resources associated with this DSC comment.
      Returns:
        the set of resources

    - #### parseValue

          public void parseValue(java.lang.String value)

      Parses the value of the DSC comment.
      Parameters:
        `value` - the value

    - #### generate

          public void generate(PSGenerator gen)
                        throws java.io.IOException

      Writes the event to the given PSGenerator.
      Parameters:
        `gen` - the PSGenerator to write to
      Throws:
        `java.io.IOException` - In case of an I/O error
      See Also:
        `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`